> ## Documentation Index
> Fetch the complete documentation index at: https://docs.molpha.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Health check

> Liveness probe for the gateway process.



## OpenAPI

````yaml gateway-openapi.yaml GET /health
openapi: 3.1.0
info:
  contact: {}
  description: HTTP entry point to the Molpha oracle protocol.
  title: Molpha Gateway API
  version: '1.0'
  x-mint:
    metadata:
      description: >-
        Dispatch oracle rounds, collect threshold signatures, and return
        payloads for Solana, EVM, and Starknet verification.
servers:
  - url: https://dev-gateway.molpha.io
    description: Devnet (SDK default)
security: []
tags:
  - name: health
    x-group: Health
    description: Liveness probes
  - name: nodes
    x-group: Nodes
    description: Oracle node discovery
  - name: round
    x-group: Subscription rounds
    description: Subscription and delegate execute path
  - name: agent
    x-group: Agent (x402)
    description: Pay-per-request agent path (requires `agent.enabled`)
paths:
  /health:
    get:
      tags:
        - health
      summary: Health check
      description: Liveness probe for the gateway process.
      responses:
        '200':
          description: Gateway is healthy
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthResponse'
              example:
                status: up
        '503':
          description: Gateway is unhealthy
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthResponse'
components:
  schemas:
    HealthResponse:
      type: object
      properties:
        status:
          type: string
          description: Gateway health status.
          example: up

````